#
# spec file for package oaf (Version 0.6.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel indent libxml libxml-devel orbit orbit-devel popt xml-i18n-tools
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip indent kbd less libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xml-i18n-tools

Name:         oaf
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Base
Provides:     oaf	
Requires:     orbit popt	
Autoreqprov:  on
Version:      0.6.6
Release:      58
Summary:      The GNOME object activation framework
Source:       oaf-%{version}.tar.bz2
Source1:      oaf-0.6.2-ko.po
Patch:        oaf-%{version}.dif
BuildRoot:    /var/tmp/%{name}-%{version}-root
URL:          http://www.gnome.org 
Docdir:       %{_defaultdocdir}/gnome

%description
OAF is a library of functions to execute actions on remote machines.
It's based on CORBA and XML.

SuSE series: gnm

%package devel
Copyright:    GPL
Group:	      X11/GNOME/Base
Provides: oafd oafdev
Obsoletes:    oafd oafdev
Requires:     orbit-devel popt	
Summary:      The development package for oaf
Autoreqprov:  on

%description devel
This package contains the development files for oaf.

SuSE series: gnm

%prep
%setup -q
cp -f %SOURCE1 po/ko.po
%patch
%{suse_update_config}

%build
ln -sf `which perl` /usr/bin/perl5.00404
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --sysconfdir=%{sysconfdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%{sysconfdir}/oaf
%{prefix}/bin/oaf-client
%{prefix}/bin/oaf-run-query
%{prefix}/bin/oaf-slay
%{prefix}/bin/oaf-sysconf
%{prefix}/bin/oafd
%{prefix}/share/locale/*/LC_MESSAGES/oaf.mo
%{prefix}/share/oaf/*
%{prefix}/lib/*.so*

%files devel
%defattr(-, root, root)
%{prefix}/bin/oaf-config
%{prefix}/share/idl/*
%{prefix}/include/liboaf/*
%{prefix}/share/aclocal/*
%{prefix}/lib/*.*a
%{prefix}/lib/*Conf.sh

%changelog -n oaf
* Sat Aug 25 2001 - kukuk@suse.de
- Rename linux-gnu -> linux in configure script to make compiling
  of shared libraries working again
* Thu Aug 23 2001 - hhetter@suse.de
- update to version 0.6.6:
  * various fixes in oaf-activation/registration
  * debug messages activated when OAF_DEBUG_OUTPUT is set
* Fri Mar 16 2001 - hhetter@suse.de
- update to version 0.6.5
* Sun Mar 04 2001 - egger@suse.de
- Updated to version 0.6.4.
- Linked perl to some obscure filename to work around
  brainfart of oaf maintainer.
* Mon Feb 19 2001 - ke@suse.de
- Update to version 0.6.3.
- Small spec file adjustments: use RPM_OPT_FLAGS.
* Fri Feb 16 2001 - egger@suse.de
- Updated to version 0.6.2.
- Recompressed with bzip2.
* Tue Jan 23 2001 - violiet@suse.de
- added improvement Korean message file.
* Fri Dec 15 2000 - kukuk@suse.de
- Fix requires.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 23 2000 - egger@suse.de
- Updated to version 0.6.0.
* Sun Oct 01 2000 - egger@suse.de
- Drastically cutted #neededforbuild.
* Mon Sep 25 2000 - ro@suse.de
- fixed BuildRoot usage
* Sun Sep 24 2000 - egger@suse.de
- Split into oaf and oafdev.
- Use BuildRoot.
- Cleaned up specfile.
- BuildProofed on i386.
* Sun Sep 17 2000 - egger@suse.de
- Added %%{suse_update_config}
* Mon Sep 04 2000 - egger@suse.de
- Corrected spec file to avoid conflicts with other packages.
* Fri Sep 01 2000 - egger@suse.de
- Added popt to the requirements.
* Wed Aug 30 2000 - egger@suse.de
- Initial version of the oaf package.
